Wrong DST dates in Israel

Bug #1222345 reported by Yaron on 2013-09-08
92
This bug affects 21 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
High
Unassigned
Lucid
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned
Raring
High
Unassigned

Bug Description

DST start/end times were changed during 2013, DST should only end in more than a month from the actual change happened.

In order to solve this bug the tzdata package should be updated to the most recent version (currently tzdata 2013d-1) which contains the fix.

Please notice the tzdata has no dependencies but tzdata-java which also needs to be updated (both versions are already updated in Debian testing).

This is pretty urgent, releases not affected:
Saucy Salamander (13.10), all others are affected.

The change is described in the following diff:
http://launchpadlibrarian.net/146460855/tzdata_2013c-2ubuntu1_2013d-1ubuntu1.diff.gz

The updated packages from Debian were installed in my personal system (12.04) and nothing seems broken so far, the package deployment was successful.

SRU Template starts here:
[Impact]

 * DST ends prematurely causing Ubuntu systems to work with a 1 hour diff, the actual change should take place on October 27th.

 * tzdata was updated accordingly, time difference could cause many issues.

 * tzdata was changes this June, fix was included in this release by Ephraim Silverberg on 2013-06-27.

[Test Case]

 * All of the affected systems are one hour behind.

[Regression Potential]

 * This change could possibly solve other issues as well (regarding different timezone changes around the world).

 * I only have 12.04 system so I checked the packages on my system and nothing is broken AFAICT.

 * Please notice tzdata and tzdata-java are dependent of one another but besides that they have no other dependencies.

[Other Info]

 * Anything else you think is useful to include
 * Anticipate questions from users, SRU, +1 maintenance, security teams and the Technical Board
 * and address these questions in advance

Yaron (sh-yaron) on 2013-09-08
description: updated
description: updated
Yaron (sh-yaron) on 2013-09-08
description: updated
itsadok (itsadok) wrote :

As far as I can tell, the latest tzdata still doesn't contain the fix.

$ wget http://archive.ubuntu.com/ubuntu/pool/main/t/tzdata/tzdata_2013d-1ubuntu1_all.deb
$ dpkg -x tzdata_2013d-1ubuntu1_all.deb tzdata
$ cd tzdata/usr/share/zoneinfo
$ zdump -v Israel | grep 2013
Israel Thu Mar 28 23:59:59 2013 UTC = Fri Mar 29 01:59:59 2013 IST isdst=0 gmtoff=7200
Israel Fri Mar 29 00:00:00 2013 UTC = Fri Mar 29 03:00:00 2013 IDT isdst=1 gmtoff=10800
Israel Sat Oct 5 22:59:59 2013 UTC = Sun Oct 6 01:59:59 2013 IDT isdst=1 gmtoff=10800
Israel Sat Oct 5 23:00:00 2013 UTC = Sun Oct 6 01:00:00 2013 IST isdst=0 gmtoff=7200

Should be Oct 27.

Yaron (sh-yaron) on 2013-09-08
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in tzdata (Ubuntu):
status: New → Confirmed
Yaron (sh-yaron) wrote :

Good catch!
Probably originated from the table on the following Wikipedia article:
https://en.wikipedia.org/wiki/Talk:Israel_Summer_Time

Although the diff says:
 # Rule NAME FROM TO TYPE IN ON AT SAVE LETTER/S
 Rule Zion 2013 max - Mar Fri>=23 2:00 1:00 D
-Rule Zion 2013 2026 - Oct Sun>=2 2:00 0 S
-Rule Zion 2027 only - Oct Mon>=3 2:00 0 S
-Rule Zion 2028 max - Oct Sun>=2 2:00 0 S
-# The following rules are commented out for now, as they break older
-# versions of zic that support only signed 32-bit timestamps, i.e.,
-# through 2038-01-19 03:14:07 UTC.
-#Rule Zion 2028 2053 - Oct Sun>=2 2:00 0 S
-#Rule Zion 2054 only - Oct Mon>=3 2:00 0 S
-#Rule Zion 2055 2080 - Oct Sun>=2 2:00 0 S
-#Rule Zion 2081 only - Oct Mon>=3 2:00 0 S
-#Rule Zion 2082 max - Oct Sun>=2 2:00 0 S
+Rule Zion 2013 max - Oct lastSun 2:00 0 S

And lastSunday of October is October 27.

Yaron (sh-yaron) wrote :

Israel, please recheck.
The file called Israel is symlinked to your current Asia/Jerusalem file instead of the file you just extracted, this is why you see the current values of your system instead of the updated ones, try zdump -v Asia/Jerusalem | grep '2013\|2014', you should see the changes.

Kind regards,
Yaron Shahrabani.

itsadok (itsadok) wrote :

Yaron, you're right. I mistakenly assumed that zdump accepts a file name, but its parameters are actually zone names, and it always reads from /usr/share/zoneinfo.

After running dpkg -i tzdata_2013d-1ubuntu1_all.deb the situation is resolved.

$ wget http://archive.ubuntu.com/ubuntu/pool/main/t/tzdata/tzdata_2013d-1ubuntu1_all.deb
$ dpkg -i tzdata_2013d-1ubuntu1_all.deb
$ ls -l /usr/share/zoneinfo/Asia/{Tel,Jer}*
lrwxrwxrwx 1 root root 9 Aug 2 11:32 /usr/share/zoneinfo/Asia/Jerusalem -> ../Israel
lrwxrwxrwx 1 root root 9 Aug 2 11:32 /usr/share/zoneinfo/Asia/Tel_Aviv -> ../Israel
$ zdump -v Asia/Jerusalem | grep '2013\|2014'
Israel Thu Mar 28 23:59:59 2013 UTC = Fri Mar 29 01:59:59 2013 IST isdst=0 gmtoff=7200
Israel Fri Mar 29 00:00:00 2013 UTC = Fri Mar 29 03:00:00 2013 IDT isdst=1 gmtoff=10800
Israel Sat Oct 26 22:59:59 2013 UTC = Sun Oct 27 01:59:59 2013 IDT isdst=1 gmtoff=10800
Israel Sat Oct 26 23:00:00 2013 UTC = Sun Oct 27 01:00:00 2013 IST isdst=0 gmtoff=7200
Israel Thu Mar 27 23:59:59 2014 UTC = Fri Mar 28 01:59:59 2014 IST isdst=0 gmtoff=7200
Israel Fri Mar 28 00:00:00 2014 UTC = Fri Mar 28 03:00:00 2014 IDT isdst=1 gmtoff=10800
Israel Sat Oct 25 22:59:59 2014 UTC = Sun Oct 26 01:59:59 2014 IDT isdst=1 gmtoff=10800
Israel Sat Oct 25 23:00:00 2014 UTC = Sun Oct 26 01:00:00 2014 IST isdst=0 gmtoff=7200

So all that is needed is backporting the package to older ubuntu versions.

Yaron (sh-yaron) wrote :

I'm not sure backporting is needed because these packages has no dependencies on Debian, I personally installed them on my machine instead of the Ubuntu packages and it solved the problem.

Avi Marcus (avi-amarcus) wrote :

The .deb install worked for me on 2x 10.04 machines and 3x 12.04 machines.
Thanks!

Margarita Manterola (marga-9) wrote :

This needs to be backported, and right now! Currently, any machine in Israel, running anything else than Saucy is broken!

Sebastien Bacher (seb128) wrote :

Setting the current serie as fix released since the description states it's working fine in saucy

Changed in tzdata (Ubuntu):
importance: Undecided → High
status: Confirmed → Fix Released
Changed in tzdata (Ubuntu Precise):
importance: Undecided → High
Changed in tzdata (Ubuntu Quantal):
importance: Undecided → High
Changed in tzdata (Ubuntu Raring):
importance: Undecided → High
Changed in tzdata (Ubuntu Precise):
status: New → In Progress
Changed in tzdata (Ubuntu Quantal):
status: New → In Progress
Changed in tzdata (Ubuntu Raring):
status: New → In Progress
Yaron (sh-yaron) wrote :

Raring machines has 2013b installed so they will run into it only on the first Sunday of October, we better fix it by then.

Margarita Manterola (marga-9) wrote :

I have prepared packages for precise, quantal and raring. They are available from:
http://www.marga.com.ar/ubuntu/tzdata/precise/
http://www.marga.com.ar/ubuntu/tzdata/quantal/
http://www.marga.com.ar/ubuntu/tzdata/raring/

The new orig.tar.gz was downloaded from:
ftp://ftp.iana.org/tz/releases/tzdata2013d.tar.gz

I followed the SRU instructions each time, by getting the latest package in each of the distros and calling uupdate.

I'll attach the debdiffs, but they are quite big, given that the versions were quite behind.

Margarita Manterola (marga-9) wrote :
Margarita Manterola (marga-9) wrote :
Sebastien Bacher (seb128) wrote :

Uploaded to precise, quantal, raring, thanks!

Margarita Manterola (marga-9) wrote :

Just to clarify, since Sebastien told me on IRC that the original bug report wasn't clear:

For precise and quantal, computers have since yesterday (Sept 8th) the wrong time. For raring it's still ok, it will be wrong in 3 weeks.

Changed in tzdata (Ubuntu Lucid):
importance: Undecided → High
status: New → Triaged
Margarita Manterola (marga-9) wrote :

Yes, this is also affecting lucid. I've prepared the packages and they are available from:
http://www.marga.com.ar/ubuntu/tzdata/lucid/

I'm attaching the debdiff.

Hello Yaron, or anyone else affected,

Accepted into raring-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Raring):
status: In Progress → Fix Committed
tags: added: verification-needed
MikeR (mike-rechtman) wrote :

There is a manual fix in the discussion of Bug #1158834
To check your system:
zdump -v /etc/localtime | grep 2013

The last line should show "Sun Oct 27"

HTH

Scott Kitterman (kitterman) wrote :

Hello Yaron, or anyone else affected,

Accepted into raring-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Scott Kitterman (kitterman) wrote :

Accepted for lucid, precise, and quantal too.

Changed in tzdata (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in tzdata (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in tzdata (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed-lucid verification-needed-precise verification-needed-quantal verification-needed-raring
removed: verification-needed
Scott Kitterman (kitterman) wrote :

Raring works.

tags: added: verification-done-raring
removed: verification-needed-raring
Scott Kitterman (kitterman) wrote :

Precise checked as well.

tags: added: verification-done-precise
removed: verification-needed-precise
Scott Kitterman (kitterman) wrote :

Quantal is good.

tags: added: verification-done-quantal
removed: verification-needed-quantal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2013d-0ubuntu0.12.04

---------------
tzdata (2013d-0ubuntu0.12.04) precise; urgency=low

  * New upstream release:
    - Fixes timezone data for Israel. LP: #1222345
 -- Margarita Manterola <email address hidden> Mon, 09 Sep 2013 11:40:40 +0200

Changed in tzdata (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2013d-0ubuntu0.12.10

---------------
tzdata (2013d-0ubuntu0.12.10) quantal; urgency=low

  * New upstream release
    - Fixes timezone data for Israel. LP: #1222345
 -- Margarita Manterola <email address hidden> Mon, 09 Sep 2013 11:54:57 +0200

Changed in tzdata (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2013d-0ubuntu0.13.04

---------------
tzdata (2013d-0ubuntu0.13.04) raring; urgency=low

  * New upstream release
    - Fixes timezone data for Israel. LP: #1222345
 -- Margarita Manterola <email address hidden> Mon, 09 Sep 2013 11:59:32 +0200

Changed in tzdata (Ubuntu Raring):
status: Fix Committed → Fix Released
Scott Kitterman (kitterman) wrote :

Lucid good as well.

tags: added: verification-done-lucid
removed: verification-needed-lucid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2013d-0ubuntu0.10.04

---------------
tzdata (2013d-0ubuntu0.10.04) lucid; urgency=low

  * New upstream release
    - Fixes timezone data for Israel. LP: #1222345
 -- Margarita Manterola <email address hidden> Mon, 09 Sep 2013 13:50:22 +0200

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Scott Kitterman (kitterman) wrote :

All released now. Modulo time for the mirrors to update, everyone should have the fix.

Margarita Manterola (marga-9) wrote :

Thanks a lot for the speedy work in the SRU!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers